<div class="m-0 pt-5 w-100 bg-img-1 pb-5">
	<form action="/auth/signup" method="POST" class="w-50 p-5 m-auto" style="min-width: 320px;">
		<h3 class="text-center mb-3">User Signup</h3>

		<% if(typeof errors != 'undefined') { %>
			<% errors.forEach(function(error) { %>
				<div class="alert alert-danger alert-dismissible fade show" role="alert">
					<%= error.msg %>
					<button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
				</div>
			<% }); %>
		<% } %>
		
		<div class="mb-3">
			<label for="first-name" class="form-label">First name</label>
			<input type="text" name="firstName" class="form-control" id="first-name" placeholder="Enter first name.." value="<%= typeof firstName != 'undefined' ? firstName : '' %>" required autofocus>
		</div>
		
		<div class="mb-3">
			<label for="last-name" class="form-label">Last name</label>
			<input type="text" name="lastName" class="form-control" id="last-name" placeholder="Enter last name.." value="<%= typeof lastName != 'undefined' ? lastName : '' %>" required>
		</div>
		
		<div class="mb-3">
			<label for="email" class="form-label">Email address</label>
			<input type="email" name="email" class="form-control" id="email" placeholder="Enter email.." value="<%= typeof email != 'undefined' ? email : '' %>" required>
			<div class="form-text">We'll never share your email with anyone else.</div>
		</div>
		
		<div class="mb-3">
			<label for="password1" class="form-label">Password</label>
			<input type="password" name="password1" class="form-control" id="password1" placeholder="Enter password.." value="<%= typeof password1 != 'undefined' ? password1 : '' %>" input type="password" id="psw" name="psw" pattern="(?=.*\d)(?=.*[a-z])(?=.*[A-Z]).{8,}" title="Must contain at least one number and one uppercase and lowercase letter, and at least 8 or more characters"required>
		</div>

		<div class="mb-3">
			<label for="password2" class="form-label">Confirm Password</label>
			<input type="password" name="password2" class="form-control" id="password2" placeholder="Re-enter password.." value="<%= typeof password2 != 'undefined' ? password2 : '' %>" required>
		</div>
		
		<div class="mb-3">
			<label for="role" class="form-label">Signup as</label>
			<select class="form-select" name="role" id="role">
				<option value="donor">Donor</option>
				<option value="agent">Hospital</option>
				<!-- <option value="admin">Admin</option> -->
			</select>
		</div>
		
		<button type="submit" class="btn d-block m-auto mt-4">Submit</button>
		
		
		<div class="mt-3 pb-5">
			<span>Already have an account?</span>
			<a href="/auth/login">Login here</a>
		</div>
		
	</form>
</div>